// OpenGLDialogDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "OpenGLDialog.h"
#include "OpenGLDialogDlg.h"
#include ".\opengldialogdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COpenGLDialogDlg Dialogfeld

COpenGLDialogDlg::COpenGLDialogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COpenGLDialogDlg::IDD, pParent),
	m_fd(TRUE, ".xsi", "floor.xsi", OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, "XSI World Files (*.xsi)|*.xsi||")
{
	//{{AFX_DATA_INIT(COpenGLDialogDlg)
	//}}AFX_DATA_INIT
	// Beachten Sie, dass LoadIcon unter Win32 keinen nachfolgenden DestroyIcon-Aufruf bentigt
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void COpenGLDialogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COpenGLDialogDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COpenGLDialogDlg, CDialog)
	//{{AFX_MSG_MAP(COpenGLDialogDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//ON_BN_CLICKED(IDC_BUTTON1, OnAboutClick)
	ON_BN_CLICKED(ID_OK, OnOk)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
	ON_EN_CHANGE(IDC_NUMMOM, OnEnChangeNummom)
	ON_EN_CHANGE(IDC_NUMKID, OnEnChangeNumkid)
	ON_EN_CHANGE(IDC_NUMADULT, OnEnChangeNumadult)
	ON_BN_CLICKED(IDOPEN, OnBnClickedOpen)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN1, OnDeltaposSpin1)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN3, OnDeltaposSpin3)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPIN2, OnDeltaposSpin2)
	ON_STN_CLICKED(IDC_OPENGL_WINDOW, OnStnClickedOpenglWindow)
	ON_BN_CLICKED(IDC_XSI, OnBnClickedXsi)
	ON_BN_CLICKED(IDC_AVI, OnBnClickedAvi)
	ON_BN_CLICKED(IDC_RADIO2, OnBnClickedRadio2)
	ON_BN_CLICKED(IDC_RADIO1, OnBnClickedRadio1)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COpenGLDialogDlg Nachrichten-Handler

BOOL COpenGLDialogDlg::OnInitDialog() {
	CDialog::OnInitDialog();
	// Symbol fr dieses Dialogfeld festlegen. Wird automatisch erledigt
	//  wenn das Hauptfenster der Anwendung kein Dialogfeld ist
	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden
	
	// ZU ERLEDIGEN: Hier zustzliche Initialisierung einfgen
	
	CRect rect;
	CheckRadioButton(IDC_RADIO1, IDC_RADIO2, IDC_RADIO1);
	CheckRadioButton(IDC_RADIO3, IDC_RADIO4, IDC_RADIO3);
	GetDlgItem(IDC_OPENGL_WINDOW)->GetWindowRect(rect);
	SetDlgItemInt(IDC_NUMMOM, 5);
	SetDlgItemInt(IDC_NUMADULT, 5);
	SetDlgItemInt(IDC_NUMKID, 5);
	CFont pFont;
	pFont.CreateFont(1,1,0,0,FW_BOLD,0,0,0,0,0,0,0,0,0);
	CWnd* editCtrl = GetDlgItem(IDC_TITLE1);
	editCtrl->SetFont(&pFont);
	editCtrl = GetDlgItem(IDC_TITLE2);
	editCtrl->SetFont(&pFont);
	editCtrl = GetDlgItem(IDC_TITLE3);
	editCtrl->SetFont(&pFont);
	GetCurrentDirectory(256, old_path);
	m_path = "unchanged\\floor.xsi";
	editCtrl = GetDlgItem(IDC_OPENPATH);
	SetDlgItemText(IDC_OPENPATH, m_path);
	

	ScreenToClient(rect);
	//GetWindowRect(thisRect);


	openGLControl.Create(rect,this);

	return TRUE;  // Geben Sie TRUE zurck, auer ein Steuerelement soll den Fokus erhalten
}

// Wollen Sie Ihrem Dialogfeld eine Schaltflche "Minimieren" hinzufgen, bentigen Sie 
//  den nachstehenden Code, um das Symbol zu zeichnen. Fr MFC-Anwendungen, die das 
//  Dokument/Ansicht-Modell verwenden, wird dies automatisch fr Sie erledigt.

void COpenGLDialogDlg::OnPaint() {
	if (IsIconic()) {
		CPaintDC dc(this); // Gertekontext fr Zeichnen

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Symbol in Client-Rechteck zentrieren
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Symbol zeichnen
		dc.DrawIcon(x, y, m_hIcon);
	} else {
		CDialog::OnPaint();
	}
}

// Die Systemaufrufe fragen den Cursorform ab, die angezeigt werden soll, whrend der Benutzer
//  das zum Symbol verkleinerte Fenster mit der Maus zieht.
HCURSOR COpenGLDialogDlg::OnQueryDragIcon() {
	return (HCURSOR) m_hIcon;
}

//void COpenGLDialogDlg::OnAboutClick() {
//	CAboutDlg aboutBox;
//
//	aboutBox.DoModal();
//}

void COpenGLDialogDlg::OpenBehaviorProject(LPCTSTR tmp) {
	INPUT inpOpen[8];
	memset(inpOpen,0,sizeof(INPUT));
	inpOpen[0].type = INPUT_KEYBOARD;
	inpOpen[1] = inpOpen[2] = inpOpen[4] = inpOpen[6] = inpOpen[0];
	inpOpen[1].ki.dwFlags = KEYEVENTF_KEYUP;
	inpOpen[3] = inpOpen[5] = inpOpen[7] = inpOpen[1];
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_MENU;	// VK_MENU == alt key?!?
	inpOpen[2].ki.wVk=inpOpen[3].ki.wVk=0x46;	// the letter f
	inpOpen[4].ki.wVk=inpOpen[5].ki.wVk=VK_DOWN;
	inpOpen[6].ki.wVk=inpOpen[7].ki.wVk=VK_RETURN;
	SendInput(8,inpOpen,sizeof(INPUT));		// sends alt+f

	INPUT inpPaste[2];
	memset(inpPaste,0,sizeof(INPUT));
	inpPaste[0].type = INPUT_KEYBOARD;
	inpPaste[0].ki.dwFlags = KEYEVENTF_UNICODE; // to avoid shift, etc.
	inpPaste[1] = inpPaste[0];
	inpPaste[1].ki.dwFlags |= KEYEVENTF_KEYUP;

	for (LPCTSTR p=tmp; *p; p++) {		// sends text
		inpPaste[0].ki.wScan = inpPaste[1].ki.wScan = *p;
		SendInput(2, inpPaste, sizeof(INPUT));
	}
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_RETURN;
	SendInput(2,inpOpen,sizeof(INPUT));

	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_MENU;
	inpOpen[2].ki.wVk=inpOpen[3].ki.wVk=0x54;
	SendInput(8, inpOpen, sizeof(INPUT));	// send alt, t, down, return ... opens the XSI viewer

	Sleep(200);
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_F11;
	SendInput(2,inpOpen,sizeof(INPUT));
	Sleep(500);
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_F5;
	SendInput(2,inpOpen,sizeof(INPUT));
	Sleep(200);
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_F11;
	SendInput(2,inpOpen,sizeof(INPUT));
	Sleep(200);
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_RETURN;
	SendInput(2,inpOpen,sizeof(INPUT));
	Sleep(200);
	inpOpen[0].ki.wVk=inpOpen[1].ki.wVk=VK_F11;
	SendInput(2,inpOpen,sizeof(INPUT));
}

void COpenGLDialogDlg::OnOk() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMMOM);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int Moms = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMADULT);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Adults = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMKID);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Kids = atoi(text);	// Convert value to integer
	float scaledExits[2][2], scaledPeople[40][2];
	for (int j=0; j<40; j++) {
		if (j<2) {
			scaledExits[j][0] = openGLControl.exit[j][0]*openGLControl.scaleFactor*0.86f;
			scaledExits[j][1] = openGLControl.exit[j][1]*openGLControl.scaleFactor*0.93f;
		}
		scaledPeople[j][0] = openGLControl.people[j][0]*openGLControl.scaleFactor*0.72f;
		scaledPeople[j][1] = openGLControl.people[j][1]*openGLControl.scaleFactor*0.78f;
	}
	//if (IsDlgButtonChecked(IDC_RADIO1) != 0)
		BehaviorCreator bc(Moms, Adults, Kids, false, false, openGLControl.clustersMarked, openGLControl.exitsMarked, scaledExits, scaledPeople, openGLControl.m_floor, old_path, (int)openGLControl.scaleFactor);
	//else
	//	BehaviorCreator bc(Moms, Adults, Kids, false, false, openGLControl.clustersMarked, openGLControl.exitsMarked, scaledExits, scaledPeople, openGLControl.m_floor, old_path, (int)openGLControl.scaleFactor);
	WinExec ( "C:\\Softimage\\BEHAVIOR_1.5\\Application\\bin\\BVRBE.exe", SW_SHOWNORMAL );
	//OpenBehaviorProject("bProj\\something.spj");
	CDialog::OnOK();	
}

void COpenGLDialogDlg::OnBnClickedXsi() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMMOM);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int Moms = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMADULT);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Adults = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMKID);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Kids = atoi(text);	// Convert value to integer
	float scaledExits[2][2], scaledPeople[40][2];
	for (int j=0; j<40; j++) {
		if (j<2) {
			scaledExits[j][0] = openGLControl.exit[j][0]*openGLControl.scaleFactor*0.86f;
			scaledExits[j][1] = openGLControl.exit[j][1]*openGLControl.scaleFactor*0.93f;
		}
		scaledPeople[j][0] = openGLControl.people[j][0]*openGLControl.scaleFactor*0.72f;
		scaledPeople[j][1] = openGLControl.people[j][1]*openGLControl.scaleFactor*0.78f;
	}
	BehaviorCreator bc(Moms, Adults, Kids, true, false, openGLControl.clustersMarked, openGLControl.exitsMarked, scaledExits, scaledPeople, openGLControl.m_floor, old_path, (int)openGLControl.scaleFactor);
	WinExec ( "C:\\Softimage\\BEHAVIOR_1.5\\Application\\bin\\BVRBE.exe", SW_SHOWNORMAL );
	//OpenBehaviorProject("bProj\\something.spj");
	CDialog::OnOK();
}

void COpenGLDialogDlg::OnBnClickedAvi() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMMOM);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int Moms = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMADULT);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Adults = atoi(text);	// Convert value to integer
	editCtrl = GetDlgItem(IDC_NUMKID);
	editCtrl->GetWindowText(text);	// Extract value as text
	int Kids = atoi(text);	// Convert value to integer
	float scaledExits[2][2], scaledPeople[40][2];
	for (int j=0; j<40; j++) {
		if (j<2) {
			scaledExits[j][0] = openGLControl.exit[j][0]*openGLControl.scaleFactor*0.86f;
			scaledExits[j][1] = openGLControl.exit[j][1]*openGLControl.scaleFactor*0.93f;
		}
		scaledPeople[j][0] = openGLControl.people[j][0]*openGLControl.scaleFactor*0.72f;
		scaledPeople[j][1] = openGLControl.people[j][1]*openGLControl.scaleFactor*0.78f;
	}
	BehaviorCreator bc(Moms, Adults, Kids, false, true, openGLControl.clustersMarked, openGLControl.exitsMarked, scaledExits, scaledPeople, openGLControl.m_floor, old_path, (int)openGLControl.scaleFactor);
	WinExec ( "C:\\Softimage\\BEHAVIOR_1.5\\Application\\bin\\BVRBE.exe", SW_SHOWNORMAL );
	//OpenBehaviorProject("bProj\\something.spj");
	CDialog::OnOK();
}

void COpenGLDialogDlg::OnBnClickedCancel() {
	//OnCancel();
	DestroyWindow();
}

void COpenGLDialogDlg::OnEnChangeNummom() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMMOM);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer	
	// Validate result
	if (num < 0)
		SetDlgItemInt(IDC_NUMMOM, 0);
	else if(num > 99)
		SetDlgItemInt(IDC_NUMMOM, 99);
}

void COpenGLDialogDlg::OnEnChangeNumkid() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMKID);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer	
	// Validate result
	if (num < 0)
		SetDlgItemInt(IDC_NUMKID, 0);
	else if(num > 99)
		SetDlgItemInt(IDC_NUMKID, 99);
}

void COpenGLDialogDlg::OnEnChangeNumadult() {
	CWnd* editCtrl = GetDlgItem(IDC_NUMADULT);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer
	// Validate result
	if (num < 0)
		SetDlgItemInt(IDC_NUMADULT, 0);
	else if(num > 99)
		SetDlgItemInt(IDC_NUMADULT, 99);
}

void COpenGLDialogDlg::OnBnClickedOpen() {
	// TODO: Add your control notification handler code here
	if (m_fd.DoModal() == IDOK) {
		m_path = m_fd.GetPathName();
		CWnd* editCtrl = GetDlgItem(IDC_OPENPATH);
		SetDlgItemText(IDC_OPENPATH, m_path);
		CheckRadioButton(IDC_RADIO1, IDC_RADIO2, IDC_RADIO2);
		openGLControl.scaleFactor=0.0f;
		openGLControl.changeFloorPlanSource(m_path);
	}
}

void COpenGLDialogDlg::OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult) {
	LPNMUPDOWN pNMUpDown = reinterpret_cast<LPNMUPDOWN>(pNMHDR);
	CWnd* editCtrl = GetDlgItem(IDC_NUMMOM);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer
	// Validate result
	if (pNMUpDown->iDelta < 0) {
		if (num-pNMUpDown->iDelta < 0)
			SetDlgItemInt(IDC_NUMMOM, 0);
		else
			SetDlgItemInt(IDC_NUMMOM, num-pNMUpDown->iDelta);
	} else if(pNMUpDown->iDelta > 0) {
		if (num+pNMUpDown->iDelta > 99)
			SetDlgItemInt(IDC_NUMMOM, 99);
		else
			SetDlgItemInt(IDC_NUMMOM, num-pNMUpDown->iDelta);
	}
	*pResult = 0;
}

void COpenGLDialogDlg::OnDeltaposSpin3(NMHDR *pNMHDR, LRESULT *pResult) {
	LPNMUPDOWN pNMUpDown = reinterpret_cast<LPNMUPDOWN>(pNMHDR);
	CWnd* editCtrl = GetDlgItem(IDC_NUMADULT);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer
	// Validate result
	if (pNMUpDown->iDelta < 0) {
		if (num-pNMUpDown->iDelta < 0)
			SetDlgItemInt(IDC_NUMADULT, 0);
		else
			SetDlgItemInt(IDC_NUMADULT, num-pNMUpDown->iDelta);
	} else if(pNMUpDown->iDelta > 0) {
		if (num+pNMUpDown->iDelta > 99)
			SetDlgItemInt(IDC_NUMADULT, 99);
		else
			SetDlgItemInt(IDC_NUMADULT, num-pNMUpDown->iDelta);
	}
	*pResult = 0;
}

void COpenGLDialogDlg::OnDeltaposSpin2(NMHDR *pNMHDR, LRESULT *pResult) {
	LPNMUPDOWN pNMUpDown = reinterpret_cast<LPNMUPDOWN>(pNMHDR);
	CWnd* editCtrl = GetDlgItem(IDC_NUMKID);
	CString text;
	editCtrl->GetWindowText(text);	// Extract value as text
	int num = atoi(text);	// Convert value to integer
	// Validate result
	if (pNMUpDown->iDelta < 0) {
		if (num-pNMUpDown->iDelta < 0)
			SetDlgItemInt(IDC_NUMKID, 0);
		else
			SetDlgItemInt(IDC_NUMKID, num-pNMUpDown->iDelta);
	} else if(pNMUpDown->iDelta > 0) {
		if (num+pNMUpDown->iDelta > 99)
			SetDlgItemInt(IDC_NUMKID, 99);
		else
			SetDlgItemInt(IDC_NUMKID, num-pNMUpDown->iDelta);
	}
	*pResult = 0;
}

void COpenGLDialogDlg::OnStnClickedOpenglWindow() {
	// TODO: Add your control notification handler code here
	POINT ralphSMouse;
	GetCursorPos(&ralphSMouse);
	SetDlgItemInt(IDC_NUMKID, ralphSMouse.x);
	SetDlgItemInt(IDC_NUMADULT, ralphSMouse.y);
}

void COpenGLDialogDlg::OnBnClickedRadio2() {
	CheckRadioButton(IDC_RADIO1, IDC_RADIO2, IDC_RADIO2);
	openGLControl.scaleFactor=0.0f;
	openGLControl.changeFloorPlanSource(m_path);
}

void COpenGLDialogDlg::OnBnClickedRadio1() {
	CheckRadioButton(IDC_RADIO1, IDC_RADIO2, IDC_RADIO1);
	SetCurrentDirectory(old_path);
	openGLControl.scaleFactor=0.0f;
	openGLControl.changeFloorPlanSource("unchanged\\floor.xsi");
}
