// OpenGLDialogDlg.h : Header-Datei
//

#if !defined(AFX_OPENGLDIALOGDLG_H__920A32A4_A76B_48E8_AE75_0942A4B378C2__INCLUDED_)
#define AFX_OPENGLDIALOGDLG_H__920A32A4_A76B_48E8_AE75_0942A4B378C2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OpenGLControl.h"
#include "BehaviorCreator.h"

/////////////////////////////////////////////////////////////////////////////
// COpenGLDialogDlg Dialogfeld

class COpenGLDialogDlg : public CDialog {
// Konstruktion
public:
	COpenGLDialogDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(COpenGLDialogDlg)
	enum { IDD = IDD_OPENGLDIALOG_DIALOG };
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(COpenGLDialogDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;
	COpenGLControl openGLControl;
	CFileDialog m_fd;
	CString m_path;
	TCHAR old_path[256];

	void OpenBehaviorProject(LPCTSTR tmp);

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(COpenGLDialogDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//afx_msg void OnAboutClick();
	afx_msg void OnOk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCancel();
	afx_msg void OnEnChangeNummom();
	afx_msg void OnEnChangeNumkid();
	afx_msg void OnEnChangeNumadult();
	afx_msg void OnBnClickedOpen();
	afx_msg void OnDeltaposSpin1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin3(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpin2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnStnClickedOpenglWindow();
	afx_msg void OnBnClickedXsi();
	afx_msg void OnBnClickedAvi();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio1();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_OPENGLDIALOGDLG_H__920A32A4_A76B_48E8_AE75_0942A4B378C2__INCLUDED_)
